Bug 520871 - lot of warnings are given if install the kmod-virtio before delete the previous one.
Summary: lot of warnings are given if install the kmod-virtio before delete the previ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: virtio
Version: 3.9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Rezanina
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 18:35 UTC by lihuang
Modified: 2010-03-18 13:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 13:16:24 UTC


Attachments (Terms of Use)
Fix a lots of warnings (1.85 KB, patch)
2009-11-04 12:44 UTC, Miroslav Rezanina
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2010:0157 normal SHIPPED_LIVE Virtio drivers for kernel 2.4.21-63.EL 2010-03-18 13:16:16 UTC

Description lihuang 2009-09-02 18:35:14 UTC
Description of problem:
Lot of warnings are given  if install the kmod-virtio before delete the previous one.

here is log file :
http://nest.test.redhat.com/mnt/qa/scratch/i386-3as/2009:8848/tps/tps-rhnqa.html

detail in "Binary Package Completeness" test






Version-Release number of selected component (if applicable):
virtio-0.1-16.el3

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
( correct me if i selected a wrong component ... )

Comment 1 lihuang 2009-09-02 18:39:23 UTC
paste some log to here : 
Performing binary package multilib-install 2... 
Running: up2date --nox -i --arch=i686 kmod-virtio kmod-virtio-hugemem kmod-virtio-smp 
Binary package multilib-install 2 result: PASS 
Fetching Obsoletes list for channel: rhel-i386-as-3... 
Fetching Obsoletes list for channel: rhel-i386-as-3-extras... 
Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-i386... 
Fetching Obsoletes list for channel: rhel-i386-as-3-fastrack... 
Fetching rpm headers... 
Name Version Rel 
---------------------------------------------------------- 
kmod-virtio 0.1 16.el3 i686 
kmod-virtio-hugemem 0.1 16.el3 i686 
kmod-virtio-smp 0.1 16.el3 i686 
Testing package set / solving RPM inter-dependencies... 
kmod-virtio-0.1-16.el3.i686 Retrieved. 
kmod-virtio-hugemem-0.1-16. Retrieved. 
kmod-virtio-smp-0.1-16.el3. Retrieved. 
Preparing 
Installing /var/spool/up2date/kmod-virtio-smp-0.1-16.el3.i686.rpm... 
modprobe: Can't locate module virtio 
modprobe: Can't locate module virtio_ring 
modprobe: Can't locate module virtio_blk 
Installing /var/spool/up2date/kmod-virtio-0.1-16.el3.i686.rpm... 
mknod: `/dev/vda': File exists 
mknod: `/dev/vda1': File exists 
mknod: `/dev/vda2': File exists 
mknod: `/dev/vda3': File exists 
mknod: `/dev/vda4': File exists 
mknod: `/dev/vda5': File exists
...
mknod: `/dev/vdo12': File exists 
mknod: `/dev/vdo13': File exists 
mknod: `/dev/vdo14': File exists 
mknod: `/dev/vdo15': File exists

Comment 2 Miroslav Rezanina 2009-09-03 06:32:51 UTC
This problem appears in following cases:

1] Different versions of package are installed - let say kmod-virtio-smp and kmod-virito-hugemem. As these are different packages, installation process do not recognize previous installation and "File exists" error appears.

2] Installing package for different kernel - let say kmod-virtio-smp on hugemem system. In this case, modules can't be inserted and "Wrong number of arguments" error appears.

Comment 3 Miroslav Rezanina 2009-11-04 12:44:49 UTC
Created attachment 367461 [details]
Fix a lots of warnings

Fix lots of warning during multiple installation of virtio drivers.

Comment 9 errata-xmlrpc 2010-03-18 13:16:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0157.html


Note You need to log in before you can comment on or make changes to this bug.